@charset "utf-8";
/* CSS Document */

/*	--------------------------------------------------------------------------------------------------------  VARIABLES  */

:root{
    /*	----------------------------------------------------------  SIZES  */
    --full-width: 1920px;
    --inner-width: 1360px;
    --min-width: 280px;  /*	 320px - 2 x 25px  */

    /*	---------------------------------------------------------  COLORS  */
    --bg-color-test: rgba(0,0,0,0.05);

    --a96-grey: rgba(90,90,90,1);

    --bauhaus-blau: rgba(0,107,148,1);

    /*	----------------------------------------------------------  FONTS  */
    --fira-sans: 'Fira Sans', 'Arial';

    --thin: 		100;
    --extralight: 	200;
    --light: 		300;
    --regular: 		400;
    --medium: 		500;
    --semibold: 	600;
    --bold: 		700;
    --black: 		800;
    --extrablack: 	900;
}

/*	-----------------------------------------------------------------------------------------------------------  BASICS  */

* {
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: auto;

    position: relative;

    padding:0;
    margin:0;

    font-family: var(--fira-sans), sans-serif;
    font-style: normal;
    font-size: 93.75%;
    color: rgba(0,0,0,1);
}

html{
    /*	force scrollbars  */
    overflow-y: scroll;
    scroll-behavior: smooth;
}

body{
    min-height: 100dvh;

    display: grid;
    grid-template-rows: auto 1fr;
    overflow-x: hidden;

    background-image: linear-gradient( 0deg, rgba(255,255,255,1) 50%, rgba(0,0,0,0.25) 100% );
}

/*	---------------------------------------------------------------------------------------------------  GENERIC RESETS  */

h1, h2, h3, h4, h5, h6, p, td, ul, li, figure, button {
    margin:0;
    padding:0;
    font-weight:normal;
    border:0;
    outline:0;
    background-color:transparent;
}


/*	----------------------------------------------------------------------------------------------------------  FLEXBOX  */
.flx{
    display: flex;
}

.flxR{
    display:flex;
    flex-flow:row;
    flex-wrap:nowrap;
}

.flxC{
    display:flex;
    flex-flow:column;
    flex-wrap:nowrap;
}

.flxJCA	{ justify-content:space-around; }
.flxJCB	{ justify-content:space-between; }
.flxJCC	{ justify-content:center; }
.flxJCE	{ justify-content:flex-end; }
.flxJCS	{ justify-content:flex-start; }

.flxAIC	{ align-items:center; }
.flxAIE	{ align-items:flex-end; }
.flxAIS	{ align-items:flex-start; }
.flxWrp	{ flex-wrap:wrap; }


/*	-------------------------------------------------------------------------------------------------------------  GRID  */

.grd{
    display: grid;
}



/*	------------------------------------------------------------------------------------------------------------  SIZES  */

.fllW{
    width:100%;
    height:auto;
}
.fllH{
    height:100%;
    width:auto;
}
.fllWH{
    width:100%;
    height:100%;
}

.innerWidth{
    width:100%;
    max-width: var(--inner-width);
    margin:0 auto;
}


/*	-------------------------------------------------------------------------------  COMMON CLASSES  */

h1{
    width: fit-content;
    min-width: 250px;
    padding: 0 30px;

    font-size: 2.62rem;
    font-weight: var(--medium);
    text-align: left;
    line-height: 1.1;
    color: white;

    span{
        letter-spacing: 0.05rem;
    }

    a{
        text-decoration: none;
        color: var(--a96-grey);

        &:link,
        &:visited{
            color: var(--a96-grey);
        }

        &:hover,
        &:active,
        &:focus{
            color: var(--bauhaus-blau);
        }
    }

    @media screen and (min-width: 666px){
    /*    margin: 0 0 0 30px;  */
    }
}


h2{
    padding: 10px 0 0;
    font-family: var(--fira-sans), sans-serif;
    font-size: 3rem;
    line-height: 1;
    text-transform: uppercase;
    text-align: center;

    transition: opacity 0.25s;
}

h3{

}

p,
ol,
ul{

}


/*  ------------------------------------------------------------------------------------------  MAIN  */

.mtrkl_mainWrp{
    width: 100%;
    min-width: 320px;

    height: fit-content;
    min-height: 100dvh;

    .mtrkl_main{
        width: 100%;
        max-width: 600px;

        height: fit-content;

        padding: 0 25px 100px;


        .mtrkl_logoA96{
            width: 100%;
            max-width: 200px;

            margin: 0 0 30px 3%;

            svg {
                width: 100%;

                path,
                polygon,
                rect{
                    fill: var(--a96-grey);
                }

                .e17{
                    fill: red;
                }
            }
        }

        .mtrkl_30Wrp {

            @media screen and (min-width: 666px){
                flex-flow: row nowrap;
                align-items: center;
            }

            .mtrkl_logoBUW {
                width: 100%;
                max-width: 250px;

                svg {
                    width: 100%;

                    path {
                        fill: white;
                        transition: all 1s;

                        &#color {
                            fill: black;
                        }
                    }
                }
            }
        }


        a {
            .mtrkl_logoA96 {
                &:hover,
                &:focus,
                &:active {
                    svg {
                        path,
                        polygon,
                        rect {
                            fill: var(--bauhaus-blau);
                        }
                    }
                }
            }
            .mtrkl_logoBUW {
                &:hover,
                &:focus,
                &:active {
                    svg {
                        path#color {
                            fill: var(--bauhaus-blau);
                        }
                    }
                }
            }
        }
    }
}


/*  ------------------------------------------------------------------------------------------  FOOTER  */

.mtrkl_ftrWrp{
    width: 100%;
    min-width: 320px;
    height: 30px;

    position: fixed;
    left: 0;
    bottom: 0;

    background-color: rgba(0,0,0,0.9);


    .mtrkl_ftr{
        width: fit-content;

        font-weight: var(--light);
        font-size: 0.75rem;
        color: white;
        white-space: nowrap;
    }




}

